#3171 closed defect (fixed)

RSB GCC does not build on High Sierra and APFS

Reported by: Chris Johns Owned by: Chris Johns
Priority: high Milestone: 5.1
Component: tool/gcc Version: 5
Severity: critical Keywords: RSB APFS MacOS
Cc: Blocked By:
Blocking:

Description

The issue has been reported upstream as https://gcc.gnu.org/bugzilla/show_bug.cgi?id=81797

Attachments (3)

darwin-apfs-gcc-libstdc++-bug-81797.diff (2.1 KB) - added by Chris Johns on Oct 11, 2017 at 12:31:33 PM.
Patch to fix libstdc++-v3 includes on MacOS Sierra High and APFS.
darwin-apfs-gcc-libstdc++-bug-81797-redi-2.diff (4.5 KB) - added by Chris Johns on Oct 27, 2017 at 3:04:12 AM.
Generated version of Jonathan Wakely's patch from the GCC ticket comment 42 tracking this issue.
darwin-libstdcpp-noparallel-fix.patch (712 bytes) - added by Chris Johns on Oct 7, 2018 at 3:16:48 AM.
Work around the APFS issue in building libstdc++ by changing $(LN) to be cp.

Download all attachments as: .zip

Change History (8)

comment:1 Changed on Oct 10, 2017 at 5:58:26 AM by Sebastian Huber

Component: GCCtool/gcc

Changed on Oct 11, 2017 at 12:31:33 PM by Chris Johns

Patch to fix libstdc++-v3 includes on MacOS Sierra High and APFS.

comment:2 Changed on Oct 11, 2017 at 11:13:11 PM by Chris Johns

Owner: set to Chris Johns
Status: newaccepted

Changed on Oct 27, 2017 at 3:04:12 AM by Chris Johns

Generated version of Jonathan Wakely's patch from the GCC ticket comment 42 tracking this issue.

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Changed on Oct 7, 2018 at 3:16:48 AM by Chris Johns

Work around the APFS issue in building libstdc++ by changing $(LN) to be cp.

comment:4 Changed on Oct 12, 2018 at 5:00:55 PM by Chris Johns <chrisj@…>

In 7bb268b/rtems-source-builder:

darwin: Work around symlink issues on Darwin with APFS building libstd++.

See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=81797

Updates #3171

comment:5 Changed on Oct 14, 2018 at 12:37:39 AM by Chris Johns

Resolution: fixed
Status: acceptedclosed

Tested on Mojave.

Note: See TracTickets for help on using tickets.